## org.codehaus.groovy.ast.stmt
Class ContinueStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.ContinueStatement

    public class ContinueStatement
    extends Statement

Represents a continue statement in a loop statement

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
Constructor and Description
`ContinueStatement()`
`ContinueStatement(String label)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` `getLabel()`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContinueStatement

    public ContinueStatement()

### ContinueStatement

    public ContinueStatement(String label)

Method Detail

### getLabel

    public String getLabel()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

Copyright © 2003-2010 The Codehaus. All rights reserved.